### Virtual Method

# Gtk Editable get_text

#### Declaration [src]

    const char*
    get_text (
      GtkEditable* editable
    )

#### Description [src]

Retrieves the contents of `editable`.

The returned string is owned by GTK and must not be modified or freed.

Gets property | `Gtk.Editable:text`

#### Return value

Returns: | `const char*`
| A pointer to the contents of the editable.
| The data is owned by the called function.
| The string is a NUL terminated UTF-8 string.